Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.graphics.positionpaint.labelicons
Class ShapeLabelIcon

    java.lang.Object
      info.bioinfweb.treegraph.graphics.positionpaint.labelicons.ShapeLabelIcon

All Implemented Interfaces:
  LabelIcon

Direct Known Subclasses:
  CrossIcon, EllipseIcon, HexagonIcon, OctagonIcon, RectangleIcon, RoundRectangleIcon, StarIcon, TitedCrossIcon, TitedHexagonIcon, TriangleIcon

    public abstract class ShapeLabelIcon

extends java.lang.Object
implements LabelIcon

Since:
  2.0.25
Author:
  Ben Stöver

Constructor Summary
`ShapeLabelIcon()`

Method Summary
`abstract java.awt.Shape` | `getShape(float x, float y, IconLabelFormats formats, float pixelsPerMillimeter)`
`void` | `paint(java.awt.Graphics2D g, float x, float y, IconLabelFormats formats, float pixelsPerMillimeter)` Paints the shape of the implementing class depending on the specified formats and restores the current `Stroke` after the operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.graphics.positionpaint.labelicons.LabelIcon
`id`

Constructor Detail

### ShapeLabelIcon

    public ShapeLabelIcon()

Method Detail

### getShape

    public abstract java.awt.Shape getShape(float x,
                                            float y,
                                            IconLabelFormats formats,
                                            float pixelsPerMillimeter)

### paint

    public void paint(java.awt.Graphics2D g,
                      float x,
                      float y,
                      IconLabelFormats formats,
                      float pixelsPerMillimeter)

  Paints the shape of the implementing class depending on the specified formats and restores the current `Stroke` after the operation.

  Specified by:
    `paint` in interface `LabelIcon`
  See Also:
    `info.bioinfweb.treegraph.graphics.positionpaint.labelicons.LabelIcon#paint(java.awt.Graphics2D, float, float, info.bioinfweb.treegraph.document.format.LabelFormats, float)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD